Subject: bug#37159: 26.1; svg images in eww

From: Alan Third <[email-masked]>
Date: Sat, 14 Sep 2019 09:59:51 +0100

On Tue, Aug 27, 2019 at 08:59:20AM +0200, Lars Ingebrigtsen wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> All the equations on this page are SVG images:
> >> 
> >> https://en.wikipedia.org/wiki/Banach_fixed-point_theorem
> >
> > For those I see empty rectangles on my display.  I have no idea what
> > that means, it could be that the image is displayed with white on
> > white, or it could be some other issue with SVG images specific to
> > MS-Windows.
> 
> The SVG images wikipedia uses for the math are kinda special: They
> specify neither the foreground colour nor the background colour.  So
> perhaps the svg libraries just choose a random colour for either, and
> that's black-on-background in Linux and white-on-background in Windows.
> 
> The colours are instead set via CSS, which is why they're legible in
> most browsers.
> 
> I'm not quite sure what a solution here would be.  shr could parse the
> SVG data (it's just XML, after all) and insert a stroke (i.e.,
> foreground) colour if none is specified, and one that's sufficiently
> different from the background colour that the image would be kinda-sorta
> readable.

I don’t know if the way GTK works would be helpful:

    https://gitlab.gnome.org/GNOME/gtk/issues/1471
    
I guess you can just set some default CSS in the wrapper and if the
SVG overrides it then it doesn’t matter.
-- 
Alan Third